function y=pltx(x1,x2)
% Y=PLTX(X1,X2)
% for comparing error maps

lat=10.5:8:66.5;long=145.5:8:265.5;clf reset

xx=x1(1:128);s=(max(xx)-min(xx))/3;
if s~=0, s=str2num(sprintf('%.0e',s/2))*2; end
xx=reshape(xx,length(lat),length(long));
subplot(421),cntour(long,lat,xx,s);
title('0-100m depth'),
 
xx=x1(129:256);s=(max(xx)-min(xx))/3;
if s~=0, s=str2num(sprintf('%.0e',s/2))*2; end
xx=reshape(xx,length(lat),length(long));
subplot(423),cntour(long,lat,xx,s);
title('100-600m depth'),

xx=x1(257:384);s=(max(xx)-min(xx))/3;
if s~=0, s=str2num(sprintf('%.0e',s/2))*2; end
xx=reshape(xx,length(lat),length(long));
subplot(425),cntour(long,lat,xx,s);
title('600-1600m depth'),

xx=x1(385:512);s=(max(xx)-min(xx))/3;
if s~=0, s=str2num(sprintf('%.0e',s/2))*2; end
xx=reshape(xx,length(lat),length(long));
subplot(427),cntour(long,lat,xx,s);
title('1600-4000m depth'),

xx=x2(1:128);s=(max(xx)-min(xx))/3;
if s~=0, s=str2num(sprintf('%.0e',s/2))*2; end
xx=reshape(xx,length(lat),length(long));
subplot(422),cntour(long,lat,xx,s);
title('0-100m depth'),
 
xx=x2(129:256);s=(max(xx)-min(xx))/3;
if s~=0, s=str2num(sprintf('%.0e',s/2))*2; end
xx=reshape(xx,length(lat),length(long));
subplot(424),cntour(long,lat,xx,s);
title('100-600m depth'),

xx=x2(257:384);s=(max(xx)-min(xx))/3;
if s~=0, s=str2num(sprintf('%.0e',s/2))*2; end
xx=reshape(xx,length(lat),length(long));
subplot(426),cntour(long,lat,xx,s);
title('600-1600m depth'),

xx=x2(385:512);s=(max(xx)-min(xx))/3;
if s~=0, s=str2num(sprintf('%.0e',s/2))*2; end
xx=reshape(xx,length(lat),length(long));
subplot(428),cntour(long,lat,xx,s);
title('1600-4000m depth'),
